Attribute VB_Name = "mdlFunctions"
Option Explicit

Public Function MMZMessageBox(Prompt, Optional Style As mmzMsgBoxStyle = mmzOKOnly, Optional Icon As mmzMsgBoxIcon = mmzNoIcon, Optional Title, Optional DefaultButton As mmzMsgBoxDefault = mmzButton1, Optional Owner) As mmzMsgBoxResult
    dlgRet1 = Prompt
    If IsMissing(Title) Then
        dlgRet2 = App.Title
    Else
        dlgRet2 = Title
    End If
    dlgRet3 = DefaultButton
    dlgRet4 = Style
    dlgRet5 = Icon
    If IsMissing(Owner) Then
        Set dlgOwner = Nothing
        HaveCommand = False
        frmMessageBox.Show 1
    Else
        Set dlgOwner = Owner
        HaveCommand = True
        frmMessageBox.Show 1, Owner
    End If
    MMZMessageBox = dlgRet4
End Function

'__________________________GRADIENT FUNCTION___________________
Public Sub DecompRGB(ByVal C, R, G, B)
    B = C \ 65536
    G = (C Mod 65536) \ 256
    R = ((C Mod 65536) Mod 256)
End Sub

Public Function Synchronize(Color As Byte) As Integer
    If Color <= 127 Then
        Synchronize = 256 * Color
    Else
        Synchronize = (256 - Color) * -256
    End If
End Function

Public Sub Gradient(hDC As Long, Color1 As Long, Color2 As Long, ByVal X1 As Long, ByVal Y1 As Long, ByVal X2 As Long, ByVal Y2 As Long, Optional Model As Long = 0)
    Dim gRect As GRADIENT_RECT
    Dim vert(1) As TRIVERTEX
    Dim Red As Byte, Green As Byte, Blue As Byte
    DecompRGB Color1, Red, Green, Blue
    vert(0).X = X1
    vert(0).Y = Y1
    vert(0).Red = Synchronize(Red)
    vert(0).Green = Synchronize(Green)
    vert(0).Blue = Synchronize(Blue)
    vert(0).Alpha = 0&
    DecompRGB Color2, Red, Green, Blue
    vert(1).X = X2
    vert(1).Y = Y2
    vert(1).Red = Synchronize(Red)
    vert(1).Green = Synchronize(Green)
    vert(1).Blue = Synchronize(Blue)
    vert(1).Alpha = 0&
    gRect.UpperLeft = 0
    gRect.LowerRight = 1
    GradientFillRect hDC, vert(0), 2, gRect, 1, Model
End Sub

