VERSION 5.00
Begin VB.UserControl MMZ_Shadow 
   CanGetFocus     =   0   'False
   ClientHeight    =   1095
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   1470
   ForwardFocus    =   -1  'True
   ScaleHeight     =   1095
   ScaleWidth      =   1470
   ToolboxBitmap   =   "Shadow.ctx":0000
   Windowless      =   -1  'True
   Begin VB.Label L1 
      BackStyle       =   0  'Transparent
      Caption         =   "Label1"
      Height          =   195
      Left            =   240
      TabIndex        =   0
      Top             =   240
      Width           =   480
   End
   Begin VB.Label L2 
      BackStyle       =   0  'Transparent
      Caption         =   "Label2"
      Height          =   195
      Left            =   360
      TabIndex        =   1
      Top             =   480
      Width           =   480
   End
End
Attribute VB_Name = "MMZ_Shadow"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False

Option Explicit

Enum BackStyleEnum
    TransParent = 0
    Opaque = 1
End Enum
'Default Property Values:
Const m_def_Alignment = 0
Const m_def_AutoSize = True
Const m_def_Color1 = &H404040
Const m_def_Color2 = 16777215
Const m_def_RightToLeft = 0
Const m_def_UseMnemonic = True
Const m_def_ToolTipText = ""
Const m_def_WordWrap = 0
Const m_def_ShadeLeft = 15
Const m_def_ShadeTop = 15
'Property Variables:
Dim m_Alignment As AlignmentEnum
Dim m_AutoSize As Boolean
Dim m_Caption As String
Dim m_Font As Font
Dim m_Color1 As OLE_COLOR
Dim m_Color2 As OLE_COLOR
Dim m_RightToLeft As Boolean
Dim m_UseMnemonic As Boolean
Dim m_ToolTipText As String
Dim m_WordWrap As Boolean
Dim m_ShadeLeft As Integer
Dim m_ShadeTop As Integer
Dim InResize As Boolean
'Event Declarations:
Event Change()
Event Click() 'MappingInfo=UserControl,UserControl,-1,Click
Event DblClick() 'MappingInfo=UserControl,UserControl,-1,DblClick
Event MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single) 'MappingInfo=UserControl,UserControl,-1,MouseMove
Event MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single) 'MappingInfo=UserControl,UserControl,-1,MouseDown
Event MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single) 'MappingInfo=UserControl,UserControl,-1,MouseUp

Private Sub ReCheck()
    With L1
        .Alignment = m_Alignment
        .Caption = m_Caption
        Set .Font = m_Font
        .ForeColor = m_Color1
        .Left = IIf(m_ShadeLeft < 0, Abs(m_ShadeLeft), 0)
        Set .MouseIcon = UserControl.MouseIcon
        .MousePointer = UserControl.MousePointer
        .RightToLeft = m_RightToLeft
        .ToolTipText = m_ToolTipText
        .Top = IIf(m_ShadeTop < 0, Abs(m_ShadeTop), 0)
        .UseMnemonic = m_UseMnemonic
    End With
    With L2
        .Alignment = m_Alignment
        .Caption = m_Caption
        Set .Font = m_Font
        .ForeColor = m_Color2
        .Left = IIf(m_ShadeLeft < 0, 0, Abs(m_ShadeLeft))
        Set .MouseIcon = UserControl.MouseIcon
        .MousePointer = UserControl.MousePointer
        .RightToLeft = m_RightToLeft
        .ToolTipText = m_ToolTipText
        .Top = IIf(m_ShadeTop < 0, 0, Abs(m_ShadeTop))
        .UseMnemonic = m_UseMnemonic
    End With
    Set UserControl.Font = m_Font
    '''''''''
    L1.WordWrap = m_WordWrap
    L1.AutoSize = m_AutoSize
    L2.WordWrap = m_WordWrap
    L2.AutoSize = m_AutoSize
    If m_AutoSize Then
        If m_WordWrap Then
            L1.Width = UserControl.ScaleWidth - Abs(m_ShadeLeft)
            L2.Width = UserControl.ScaleWidth - Abs(m_ShadeLeft)
        End If
        InResize = True
        UserControl.Size UserControl.Width - UserControl.ScaleWidth + _
        L1.Width + Abs(m_ShadeLeft), L1.Height + Abs(m_ShadeTop)
        InResize = False
    Else
        L1.Width = UserControl.ScaleWidth - Abs(m_ShadeLeft)
        L1.Height = UserControl.ScaleHeight - Abs(m_ShadeTop)
        L2.Width = UserControl.ScaleWidth - Abs(m_ShadeLeft)
        L2.Height = UserControl.ScaleHeight - Abs(m_ShadeTop)
    End If
End Sub

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MemberInfo=7,0,0,0
Public Property Get Alignment() As AlignmentEnum
    Alignment = m_Alignment
End Property

Public Property Let Alignment(ByVal New_Alignment As AlignmentEnum)
    m_Alignment = New_Alignment
    PropertyChanged "Alignment"
    ReCheck
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MemberInfo=0,0,0,0
Public Property Get AutoSize() As Boolean
    AutoSize = m_AutoSize
End Property

Public Property Let AutoSize(ByVal New_AutoSize As Boolean)
    m_AutoSize = New_AutoSize
    PropertyChanged "AutoSize"
    ReCheck
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=UserControl,UserControl,-1,BackColor
Public Property Get BackColor() As OLE_COLOR
    BackColor = UserControl.BackColor
End Property

Public Property Let BackColor(ByVal New_BackColor As OLE_COLOR)
    UserControl.BackColor() = New_BackColor
    PropertyChanged "BackColor"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=UserControl,UserControl,-1,BackStyle
Public Property Get BackStyle() As BackStyleEnum
    BackStyle = UserControl.BackStyle
End Property

Public Property Let BackStyle(ByVal New_BackStyle As BackStyleEnum)
    UserControl.BackStyle() = New_BackStyle
    PropertyChanged "BackStyle"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MemberInfo=13,0,0,
Public Property Get Caption() As String
    Caption = m_Caption
End Property

Public Property Let Caption(ByVal New_Caption As String)
    m_Caption = New_Caption
    PropertyChanged "Caption"
    ReCheck
    RaiseEvent Change
End Property

Private Sub UserControl_Click()
    RaiseEvent Click
End Sub

Private Sub UserControl_DblClick()
    RaiseEvent DblClick
End Sub

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MemberInfo=0,0,0,0
Public Property Get Enabled() As Boolean
    Enabled = UserControl.Enabled
End Property

Public Property Let Enabled(ByVal New_Enabled As Boolean)
    UserControl.Enabled() = New_Enabled
    PropertyChanged "Enabled"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MemberInfo=6,0,0,0
Public Property Get Font() As Font
    Set Font = m_Font
End Property

Public Property Set Font(ByVal New_Font As Font)
    Set m_Font = New_Font
    PropertyChanged "Font"
    ReCheck
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MemberInfo=8,0,0,0
Public Property Get Color1() As OLE_COLOR
    Color1 = m_Color1
End Property

Public Property Let Color1(ByVal New_Color1 As OLE_COLOR)
    m_Color1 = New_Color1
    PropertyChanged "Color1"
    ReCheck
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MemberInfo=8,0,0,0
Public Property Get Color2() As OLE_COLOR
    Color2 = m_Color2
End Property

Public Property Let Color2(ByVal New_Color2 As OLE_COLOR)
    m_Color2 = New_Color2
    PropertyChanged "Color2"
    ReCheck
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=UserControl,UserControl,-1,hDC
Public Property Get hDC() As Long
    hDC = UserControl.hDC
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=UserControl,UserControl,-1,hWnd
Public Property Get hWnd() As Long
    hWnd = UserControl.hWnd
End Property

Private Sub UserControl_Initialize()
    Set m_Font = UserControl.Font
End Sub

Private Sub UserControl_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    RaiseEvent MouseMove(Button, Shift, X, Y)
End Sub

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=UserControl,UserControl,-1,MouseIcon
Public Property Get MouseIcon() As Picture
    Set MouseIcon = UserControl.MouseIcon
End Property

Public Property Set MouseIcon(ByVal New_MouseIcon As Picture)
    Set UserControl.MouseIcon = New_MouseIcon
    PropertyChanged "MouseIcon"
End Property

Private Sub UserControl_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    RaiseEvent MouseDown(Button, Shift, X, Y)
End Sub

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=UserControl,UserControl,-1,MousePointer
Public Property Get MousePointer() As Integer
    MousePointer = UserControl.MousePointer
End Property

Public Property Let MousePointer(ByVal New_MousePointer As Integer)
    UserControl.MousePointer() = New_MousePointer
    PropertyChanged "MousePointer"
End Property

Private Sub UserControl_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    RaiseEvent MouseUp(Button, Shift, X, Y)
End Sub

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MemberInfo=0,0,0,0
Public Property Get RightToLeft() As Boolean
    RightToLeft = m_RightToLeft
End Property

Public Property Let RightToLeft(ByVal New_RightToLeft As Boolean)
    m_RightToLeft = New_RightToLeft
    PropertyChanged "RightToLeft"
    ReCheck
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MemberInfo=0,0,0,0
Public Property Get UseMnemonic() As Boolean
    UseMnemonic = m_UseMnemonic
End Property

Public Property Let UseMnemonic(ByVal New_UseMnemonic As Boolean)
    m_UseMnemonic = New_UseMnemonic
    PropertyChanged "UseMnemonic"
    ReCheck
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MemberInfo=13,0,0,
Public Property Get ToolTipText() As String
    ToolTipText = m_ToolTipText
End Property

Public Property Let ToolTipText(ByVal New_ToolTipText As String)
    m_ToolTipText = New_ToolTipText
    L1.ToolTipText = New_ToolTipText
    L2.ToolTipText = New_ToolTipText
    PropertyChanged "ToolTipText"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MemberInfo=0,0,0,0
Public Property Get WordWrap() As Boolean
    WordWrap = m_WordWrap
End Property

Public Property Let WordWrap(ByVal New_WordWrap As Boolean)
    m_WordWrap = New_WordWrap
    PropertyChanged "WordWrap"
    ReCheck
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MemberInfo=7,0,0,0
Public Property Get ShadeLeft() As Integer
    ShadeLeft = m_ShadeLeft / 15
End Property

Public Property Let ShadeLeft(ByVal New_ShadeLeft As Integer)
    m_ShadeLeft = New_ShadeLeft * 15
    PropertyChanged "ShadeLeft"
    ReCheck
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MemberInfo=7,0,0,0
Public Property Get ShadeTop() As Integer
    ShadeTop = m_ShadeTop / 15
End Property

Public Property Let ShadeTop(ByVal New_ShadeTop As Integer)
    m_ShadeTop = New_ShadeTop * 15
    PropertyChanged "ShadeTop"
    ReCheck
End Property

'Initialize Properties for User Control
Private Sub UserControl_InitProperties()
    m_Alignment = m_def_Alignment
    m_AutoSize = m_def_AutoSize
    m_Caption = Ambient.DisplayName
    Set m_Font = Ambient.Font
    m_Color1 = m_def_Color1
    m_Color2 = m_def_Color2
    m_RightToLeft = m_def_RightToLeft
    m_UseMnemonic = m_def_UseMnemonic
    m_ToolTipText = m_def_ToolTipText
    m_WordWrap = m_def_WordWrap
    m_ShadeLeft = m_def_ShadeLeft
    m_ShadeTop = m_def_ShadeTop
    Set m_Font = Ambient.Font
    ReCheck
End Sub

'Load property values from storage
Private Sub UserControl_ReadProperties(PropBag As PropertyBag)
    m_Alignment = PropBag.ReadProperty("Alignment", m_def_Alignment)
    m_AutoSize = PropBag.ReadProperty("AutoSize", m_def_AutoSize)
    UserControl.BackColor = PropBag.ReadProperty("BackColor", &H8000000F)
    UserControl.BackStyle = PropBag.ReadProperty("BackStyle", 1)
    m_Caption = PropBag.ReadProperty("Caption", Ambient.DisplayName)
    UserControl.Enabled = PropBag.ReadProperty("Enabled", True)
    Set m_Font = PropBag.ReadProperty("Font", Ambient.Font)
    m_Color1 = PropBag.ReadProperty("Color1", m_def_Color1)
    m_Color2 = PropBag.ReadProperty("Color2", m_def_Color2)
    Set MouseIcon = PropBag.ReadProperty("MouseIcon", Nothing)
    UserControl.MousePointer = PropBag.ReadProperty("MousePointer", 0)
    m_RightToLeft = PropBag.ReadProperty("RightToLeft", m_def_RightToLeft)
    m_UseMnemonic = PropBag.ReadProperty("UseMnemonic", m_def_UseMnemonic)
    m_ToolTipText = PropBag.ReadProperty("ToolTipText", m_def_ToolTipText)
    m_WordWrap = PropBag.ReadProperty("WordWrap", m_def_WordWrap)
    m_ShadeLeft = PropBag.ReadProperty("ShadeLeft", m_def_ShadeLeft)
    m_ShadeTop = PropBag.ReadProperty("ShadeTop", m_def_ShadeTop)
    ReCheck
End Sub

Private Sub UserControl_Resize()
    If Not InResize Then ReCheck
End Sub

'Write property values to storage
Private Sub UserControl_WriteProperties(PropBag As PropertyBag)
    Call PropBag.WriteProperty("Alignment", m_Alignment, m_def_Alignment)
    Call PropBag.WriteProperty("AutoSize", m_AutoSize, m_def_AutoSize)
    Call PropBag.WriteProperty("BackColor", UserControl.BackColor, &H8000000F)
    Call PropBag.WriteProperty("BackStyle", UserControl.BackStyle, 1)
    Call PropBag.WriteProperty("Caption", m_Caption, Ambient.DisplayName)
    Call PropBag.WriteProperty("Enabled", UserControl.Enabled, True)
    Call PropBag.WriteProperty("Font", m_Font, Ambient.Font)
    Call PropBag.WriteProperty("Color1", m_Color1, m_def_Color1)
    Call PropBag.WriteProperty("Color2", m_Color2, m_def_Color2)
    Call PropBag.WriteProperty("MouseIcon", MouseIcon, Nothing)
    Call PropBag.WriteProperty("MousePointer", UserControl.MousePointer, 0)
    Call PropBag.WriteProperty("RightToLeft", m_RightToLeft, m_def_RightToLeft)
    Call PropBag.WriteProperty("UseMnemonic", m_UseMnemonic, m_def_UseMnemonic)
    Call PropBag.WriteProperty("ToolTipText", m_ToolTipText, m_def_ToolTipText)
    Call PropBag.WriteProperty("WordWrap", m_WordWrap, m_def_WordWrap)
    Call PropBag.WriteProperty("ShadeLeft", m_ShadeLeft, m_def_ShadeLeft)
    Call PropBag.WriteProperty("ShadeTop", m_ShadeTop, m_def_ShadeTop)
End Sub
