VERSION 5.00
Begin VB.UserControl MMZ_X_Btn 
   AutoRedraw      =   -1  'True
   ClientHeight    =   1140
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   2145
   DefaultCancel   =   -1  'True
   EditAtDesignTime=   -1  'True
   KeyPreview      =   -1  'True
   ScaleHeight     =   76
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   143
   ToolboxBitmap   =   "XPButton.ctx":0000
   Begin VB.Timer Timer1 
      Enabled         =   0   'False
      Interval        =   1
      Left            =   480
      Top             =   600
   End
End
Attribute VB_Name = "MMZ_X_Btn"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Enum ColorStyle
    mjDisabled = 0
    mjNormal = 1
    mjMove = 2
    mjFocus = 3
End Enum
Enum AlignmentEnum
    LeftJustify = 0
    RightJustify = 1
    Center = 2
End Enum

Private Type RECT
    Left As Long
    Top As Long
    Right As Long
    Bottom As Long
End Type
Private Type POINTAPI
    X As Long
    Y As Long
End Type

Private Declare Function GetCursorPos Lib "user32" (lpPoint As POINTAPI) As Long
Private Declare Function SetCursorPos Lib "user32" (ByVal X As Long, ByVal Y As Long) As Long
Private Declare Function GetWindowRect Lib "user32" (ByVal hWnd As Long, lpRect As RECT) As Long

Dim m_Alignment As AlignmentEnum
Dim m_OwnerBackColor As OLE_COLOR
Dim m_Caption As String
Dim PicPos1 As POINTAPI
Dim MDN As Boolean, MDN2 As Boolean, Working As Boolean
Dim HasFocus As Boolean, SpcDn As Boolean, RS As Boolean
Private LastColorType As ColorStyle, LastPushed As Boolean

Event Click()

Private Sub DrawBorder(ColorType As ColorStyle, Optional Pushed As Boolean)
    Dim P1 As Long, P2 As Long, P3 As Long, P4 As Long, P5 As Long, P6 As Long
    Dim P7 As Long, P8 As Long
    If LastColorType = ColorType And LastPushed = Pushed And Not Working Then
        If Not RS Then Exit Sub
    Else
        RS = False
        LastColorType = ColorType
        LastPushed = Pushed
    End If
    With UserControl
    .Cls
    If Not Pushed Then
        P7 = RGB(255, 255, 255)
        P8 = RGB(230, 230, 234)
    Else
        P7 = RGB(230, 230, 230) 'RGB(220, 216, 207)
        P8 = RGB(245, 240, 240) 'RGB(226, 226, 218)
    End If
    If ColorType = mjNormal Then
        P1 = RGB(100, 100, 100)
        P2 = RGB(125, 125, 125)
        P3 = RGB(165, 165, 165)
        P4 = RGB(195, 195, 195)
        P5 = RGB(240, 240, 240)
    ElseIf ColorType = mjMove Then
        P1 = RGB(255, 128, 64)
        P2 = RGB(255, 150, 100)
        P3 = RGB(255, 180, 145)
        P4 = RGB(255, 205, 185)
        P5 = RGB(255, 230, 225)
    ElseIf ColorType = mjFocus Then
        P1 = RGB(64, 128, 255)
        P2 = RGB(100, 150, 255)
        P3 = RGB(145, 180, 255)
        P4 = RGB(185, 205, 255)
        P5 = RGB(225, 230, 255)
    Else
        P1 = RGB(200, 200, 190)
        P2 = RGB(200, 200, 190)
        P3 = RGB(200, 200, 190)
        P4 = OwnerBackColor
        P5 = OwnerBackColor
        P7 = RGB(245, 245, 245)
        P8 = RGB(245, 245, 245)
    End If
    P6 = OwnerBackColor
    UserControl.PSet (0, 0), P6
    UserControl.PSet (1, 0), P3
    UserControl.PSet (0, 1), P3
    UserControl.PSet (2, 0), P2
    UserControl.PSet (1, 1), P2
    UserControl.PSet (0, 2), P2
    UserControl.PSet (2, 2), P4
    UserControl.Line (3, 0)-(.ScaleWidth - 3, 0), P1
    UserControl.Line (0, 3)-(0, .ScaleHeight - 3), P1
    UserControl.Line (2, 1)-(.ScaleWidth - 2, 1), P4
    UserControl.Line (1, 2)-(1, .ScaleHeight - 2), P4
    UserControl.Line (3, 2)-(.ScaleWidth - 3, 2), P5
    UserControl.Line (2, 3)-(2, .ScaleHeight - 3), P5
    ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
    UserControl.PSet (0, .ScaleHeight - 1), P6
    UserControl.PSet (1, .ScaleHeight - 1), P3
    UserControl.PSet (0, .ScaleHeight - 1 - 1), P3
    UserControl.PSet (2, .ScaleHeight - 1), P2
    UserControl.PSet (1, .ScaleHeight - 1 - 1), P2
    UserControl.PSet (0, .ScaleHeight - 1 - 2), P2
    UserControl.PSet (.ScaleWidth - 1 - 2, 2), P4
    UserControl.Line (3, .ScaleHeight - 1)-(.ScaleWidth - 3, .ScaleHeight - 1), P1
    UserControl.Line (.ScaleWidth - 1, 3)-(.ScaleWidth - 1, .ScaleHeight - 3), P1
    UserControl.Line (2, .ScaleHeight - 1 - 1)-(.ScaleWidth - 2, .ScaleHeight - 1 - 1), P4
    UserControl.Line (.ScaleWidth - 1 - 1, 2)-(.ScaleWidth - 1 - 1, .ScaleHeight - 2), P4
    UserControl.Line (3, .ScaleHeight - 1 - 2)-(.ScaleWidth - 3, .ScaleHeight - 1 - 2), P5
    UserControl.Line (.ScaleWidth - 1 - 2, 3)-(.ScaleWidth - 1 - 2, .ScaleHeight - 3), P5
    UserControl.PSet (.ScaleWidth - 1, 0), P6
    UserControl.PSet (.ScaleWidth - 1, .ScaleHeight - 1), P6
    UserControl.PSet (.ScaleWidth - 1 - 1, 0), P3
    UserControl.PSet (.ScaleWidth - 1, 1), P3
    UserControl.PSet (.ScaleWidth - 1 - 1, .ScaleHeight - 1), P3
    UserControl.PSet (.ScaleWidth - 1, .ScaleHeight - 1 - 1), P3
    UserControl.PSet (.ScaleWidth - 1 - 2, .ScaleHeight - 1), P2
    UserControl.PSet (.ScaleWidth - 1 - 1, .ScaleHeight - 1 - 1), P2
    UserControl.PSet (.ScaleWidth - 1, .ScaleHeight - 1 - 2), P2
    UserControl.PSet (.ScaleWidth - 1 - 2, 0), P2
    UserControl.PSet (.ScaleWidth - 1 - 1, 1), P2
    UserControl.PSet (.ScaleWidth - 1, 2), P2
    UserControl.PSet (2, .ScaleHeight - 1 - 2), P4
    UserControl.PSet (.ScaleWidth - 1 - 2, .ScaleHeight - 1 - 2), P4
    Gradient .hDC, P7, P8, 3, 3, .ScaleWidth - 3, .ScaleHeight - 3, 1
    .Refresh
    End With
    If Not Working Then
        Working = True
        PrintCaption
        Working = False
    End If
End Sub

'-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*

Private Function HasMouse() As Boolean
    Dim RECT As RECT, Point As POINTAPI
    GetWindowRect UserControl.hWnd, RECT
    GetCursorPos Point
    If Point.X < RECT.Left Or Point.X > RECT.Right Or Point.Y < RECT.Top Or Point.Y > RECT.Bottom Then
        HasMouse = False
    Else
        HasMouse = True
    End If
End Function

Private Sub CheckEnabled()
    If Enabled Then
        DrawBorder mjNormal
    Else
        DrawBorder mjDisabled
        Timer1 = False
    End If
End Sub

Private Sub PrintCaption()
    Dim a As String
    Dim Pos As Integer
    Dim FC As Long
    Dim X1 As Single, X2 As Single, Y As Single
    If Not Working Then
        Working = True
        RS = True
        DrawBorder LastColorType, LastPushed
        Working = False
    End If
    a = Caption
    Pos = InStr(a, "&")
    a = Replace(a, "&", "")
    With UserControl
    If Pos > 0 Then .AccessKeys = Mid(a, Pos, 1) Else .AccessKeys = ""
    If Not .RightToLeft Then
        If m_Alignment = Center Then
            .CurrentX = (.ScaleWidth - .TextWidth(a)) \ 2
        ElseIf m_Alignment = LeftJustify Then
            .CurrentX = 5
        Else
            .CurrentX = .ScaleWidth - .TextWidth(a) - 5
        End If
    Else
        If m_Alignment = Center Then
            .CurrentX = (.ScaleWidth - .TextWidth(a)) \ 2
        ElseIf m_Alignment = LeftJustify Then
            .CurrentX = .ScaleWidth - .TextWidth(a) - 5
        Else
            .CurrentX = 5
        End If
    End If
    .CurrentY = (.ScaleHeight - .TextHeight(a)) \ 2 + IIf((MDN And HasMouse) Or SpcDn, 1, 0)
    FC = .ForeColor
    If Not .Enabled Then .ForeColor = &H80000011
    If Pos = 0 Then
        UserControl.Print a
    Else
        UserControl.Print Left(a, Pos - 1);
        '.FontUnderline = Not .FontUnderline ' Ԙ 
        X1 = CurrentX
        Y = .CurrentY + .TextHeight(Mid(a, Pos, 1))
        X2 = .CurrentX + .TextWidth(Mid(a, Pos, 1))
        UserControl.Print Mid(a, Pos, 1);
        '.FontUnderline = Not .FontUnderline' Ԙ 
        UserControl.Print Right(a, Len(a) - Pos)
        .Line 4, X1, Y, X2, Y, .ForeColor
    End If
    .ForeColor = FC
    End With
End Sub

Public Property Get Caption() As String
Attribute Caption.VB_Description = "Returns/sets the text displayed in an object's title bar or below an object's icon."
    Caption = m_Caption
End Property
Public Property Let Caption(ByVal New_Caption As String)
    m_Caption = New_Caption
    PrintCaption
    PropertyChanged "Caption"
End Property

Private Sub Timer1_Timer()
    If Not HasMouse Then
        If Not MDN Then
            If HasFocus Then
                DrawBorder mjFocus
            Else
                DrawBorder mjNormal
            End If
        End If
        Timer1.Enabled = False
    End If
End Sub

Public Property Get Enabled() As Boolean
Attribute Enabled.VB_Description = "Returns/sets a value that determines whether an object can respond to user-generated events."
    Enabled = UserControl.Enabled
End Property
Public Property Let Enabled(ByVal New_Enabled As Boolean)
    UserControl.Enabled() = New_Enabled
    CheckEnabled
    PrintCaption
    PropertyChanged "Enabled"
End Property

Public Property Get Font() As Font
Attribute Font.VB_Description = "Returns a Font object."
Attribute Font.VB_UserMemId = -512
    Set Font = UserControl.Font
End Property
Public Property Set Font(ByVal New_Font As Font)
    Set UserControl.Font = New_Font
    PrintCaption
    PropertyChanged "Font"
End Property

Public Property Get MouseIcon() As Picture
Attribute MouseIcon.VB_Description = "Sets a custom mouse icon."
    Set MouseIcon = UserControl.MouseIcon
End Property
Public Property Set MouseIcon(ByVal New_MouseIcon As Picture)
    Set UserControl.MouseIcon = New_MouseIcon
    PropertyChanged "MouseIcon"
End Property

Public Property Get MousePointer() As MousePointerConstants
Attribute MousePointer.VB_Description = "Returns/sets the type of mouse pointer displayed when over part of an object."
    MousePointer = UserControl.MousePointer
End Property
Public Property Let MousePointer(ByVal New_MousePointer As MousePointerConstants)
    UserControl.MousePointer() = New_MousePointer
    PropertyChanged "MousePointer"
End Property

Public Property Get RightToLeft() As Boolean
Attribute RightToLeft.VB_Description = "Determines text display direction and control visual appearance on a bidirectional system."
    RightToLeft = UserControl.RightToLeft
End Property
Public Property Let RightToLeft(ByVal New_RightToLeft As Boolean)
    UserControl.RightToLeft = New_RightToLeft
    PrintCaption
    PropertyChanged "RightToLeft"
End Property

Public Property Get OwnerBackColor() As OLE_COLOR
    OwnerBackColor = m_OwnerBackColor
End Property
Public Property Let OwnerBackColor(ByVal New_OwnerBackColor As OLE_COLOR)
    m_OwnerBackColor = New_OwnerBackColor
    PropertyChanged "OwnerBackColor"
    If HasMouse Then
        DrawBorder mjMove
    ElseIf HasFocus Then
        DrawBorder mjFocus
    Else
        DrawBorder mjNormal
    End If
End Property

Public Property Get Alignment() As AlignmentEnum
    Alignment = m_Alignment
End Property
Public Property Let Alignment(ByVal New_Alignment As AlignmentEnum)
    m_Alignment = New_Alignment
    PrintCaption
    PropertyChanged "Alignment"
End Property

Public Property Get ForeColor() As OLE_COLOR
    ForeColor = UserControl.ForeColor
End Property
Public Property Let ForeColor(ByVal New_ForeColor As OLE_COLOR)
    UserControl.ForeColor = New_ForeColor
    PrintCaption
    PropertyChanged "ForeColor"
End Property

Private Sub UserControl_AccessKeyPress(KeyAscii As Integer)
    RaiseEvent Click
End Sub

Private Sub UserControl_AmbientChanged(PropertyName As String)
    OwnerBackColor = Ambient.BackColor
End Sub

Private Sub UserControl_EnterFocus()
    HasFocus = True
    If Not MDN Then
        If HasMouse Then
            DrawBorder mjMove
        Else
            DrawBorder mjFocus
        End If
    End If
End Sub

Private Sub UserControl_ExitFocus()
    HasFocus = False
    MDN = False
    SpcDn = False
    If HasMouse Then
        DrawBorder mjMove
    Else
        DrawBorder mjNormal
    End If
End Sub

Private Sub UserControl_Initialize()
    UserControl.Size 80 * 15, 33 * 15
End Sub

Private Sub UserControl_InitProperties()
    UserControl.RightToLeft = Ambient.RightToLeft
    m_Caption = Ambient.DisplayName
    Set UserControl.Font = Ambient.Font
    OwnerBackColor = Ambient.BackColor
    m_Alignment = Center
End Sub

Private Sub UserControl_KeyDown(KeyCode As Integer, Shift As Integer)
    If KeyCode = vbKeySpace Then
        SpcDn = True
        If Not MDN Then DrawBorder mjNormal, True
    ElseIf KeyCode = vbKeyDown Or KeyCode = vbKeyRight Then
        SendKeys "{Tab}"
    ElseIf KeyCode = vbKeyUp Or KeyCode = vbKeyLeft Then
        SendKeys "+{Tab}"
    End If
End Sub

Private Sub UserControl_KeyPress(KeyAscii As Integer)
    If KeyAscii = 13 Then
        MDN = False
        SpcDn = False
        If HasMouse Then
            DrawBorder mjMove
        ElseIf HasFocus Then
            DrawBorder mjFocus
        Else
            DrawBorder mjNormal
        End If
        RaiseEvent Click
    ElseIf KeyAscii = 27 Then
        MDN = False
        SpcDn = False
        If HasMouse Then
            DrawBorder mjMove
        ElseIf HasFocus Then
            DrawBorder mjFocus
        Else
            DrawBorder mjNormal
        End If
    End If
End Sub

Private Sub UserControl_KeyUp(KeyCode As Integer, Shift As Integer)
    If KeyCode = vbKeySpace And SpcDn Then
        SpcDn = False
        If Not MDN Then
            If HasMouse Then
                DrawBorder mjMove
            ElseIf HasFocus Then
                DrawBorder mjFocus
            Else
                DrawBorder mjNormal
            End If
            RaiseEvent Click
        End If
    End If
End Sub

Private Sub UserControl_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Button = 1 Then
        SpcDn = False
        MDN = True
        DrawBorder mjNormal, True
    Else
        Button = 0
    End If
End Sub

Private Sub UserControl_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If SpcDn Then Exit Sub
    If HasMouse Then
        If MDN Then
            DrawBorder mjNormal, True
        Else
            DrawBorder mjMove
        End If
        Timer1 = True
    Else
        If MDN Then
            DrawBorder mjMove
        End If
    End If
End Sub

Private Sub UserControl_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Dim IsMDN As Boolean
    IsMDN = MDN
    MDN = False
    If SpcDn Then Exit Sub
    If HasMouse And MDN Then
        DrawBorder mjMove
    ElseIf HasFocus Then
        DrawBorder mjFocus
    Else
        DrawBorder mjNormal
    End If
    If Button = 1 And Shift = 0 And HasMouse And IsMDN Then RaiseEvent Click
End Sub

Private Sub UserControl_ReadProperties(PropBag As PropertyBag)
    m_Caption = PropBag.ReadProperty("Caption", "MMZ_X_Button")
    UserControl.Enabled = PropBag.ReadProperty("Enabled", True)
    Set MouseIcon = PropBag.ReadProperty("MouseIcon", Nothing)
    UserControl.MousePointer = PropBag.ReadProperty("MousePointer", 0)
    UserControl.RightToLeft = PropBag.ReadProperty("RightToLeft", False)
    m_OwnerBackColor = PropBag.ReadProperty("OwnerBackColor", vbButtonFace)
    m_Alignment = PropBag.ReadProperty("Alignment", vbCenter)
    UserControl.ForeColor = PropBag.ReadProperty("ForeColor", vbButtonText)
    Set UserControl.Font = PropBag.ReadProperty("Font", Ambient.Font)
    CheckEnabled
    PrintCaption
End Sub

Private Sub UserControl_Resize()
    RS = True
    DrawBorder mjNormal
    CheckEnabled
End Sub

Private Sub UserControl_WriteProperties(PropBag As PropertyBag)
    Call PropBag.WriteProperty("Caption", m_Caption, "MMZ_X_Button")
    Call PropBag.WriteProperty("Enabled", UserControl.Enabled, True)
    Call PropBag.WriteProperty("Font", UserControl.Font, Ambient.Font)
    Call PropBag.WriteProperty("MouseIcon", MouseIcon, Nothing)
    Call PropBag.WriteProperty("MousePointer", UserControl.MousePointer, 0)
    Call PropBag.WriteProperty("Picture", Picture, Nothing)
    Call PropBag.WriteProperty("RightToLeft", UserControl.RightToLeft, False)
    Call PropBag.WriteProperty("OwnerBackColor", m_OwnerBackColor, vbButtonFace)
    Call PropBag.WriteProperty("Alignment", m_Alignment, vbCenter)
    Call PropBag.WriteProperty("ForeColor", UserControl.ForeColor, vbButtonText)
End Sub
